## Retrieve the values of a Meter Dimension.

### cURL

```
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '  \
{
  "meterCode": "<string>",
  "dimensionName": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "attributes": [\
    "<string>"\
  ],
  "limit": 123
}
'```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions"

payload = {
    "meterCode": "<string>",
    "dimensionName": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "endDate": "2023-11-07T05:31:56Z",
    "attributes": ["<string>"],
    "limit": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    meterCode: '<string>',
    dimensionName: '<string>',
    startDate: '2023-11-07T05:31:56Z',
    endDate: '2023-11-07T05:31:56Z',
    attributes: ['<string>'],
    limit: 123
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/meterdimensions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response

#### 200
Returns a Meter's Dimensions from the Data Warehouse.

```
{
  "meterCode": "<string>",
  "dimensionName": "<string>",
  "dimensionValues": [\
    {\
      "dimensionAttribute": "<string>",\
      "dimensionValue": "<string>"\
    }\
  ]
}
```

#### 4XX and 5XX
```
{
  "message": "<string>"
}
```
